function [ mnohouhelnik ] = VytvorMnohouhelnik( pocet_stran, rozliseni )
%VYTVORMNOHOUHELNIK Summary of this function goes here
%   Detailed explanation goes here
if numel(rozliseni) == 1
    a = rozliseni(1); % vyska
    b = rozliseni(1); %sirka
else
    a = rozliseni(1); %vyska
    b = rozliseni(2); %sirka
end

for i = 1:pocet_stran
   axis([0 b 0 a]); %nastaveni os
   [x(i), y(i)] = ginput(1); hold on;   %zapsani bodu do promenne
   plot(x(i), y(i), '.black'); hold on; % vykresleni bodu
end
close all;

m = zeros(a,b); % vytvoreni matice
m = roipoly(m, x(1:end),...
    y(1:end)); % propojeni bodu



c = find(m==1); % najit indexy mnohouhelniku

d1 = ceil(min(c)/b); % nalezeni min. hodnoty osy x
d2 = ceil(max(c)/ b); % nalezeni max. hodnoy osy x

c2 = find(m'==1); % extrapolace matice

e1 = ceil(min(c2)/b); %nalezeni min hodnoty osy y
e2 = ceil(max(c2)/ b); %nalezeni max hodnoty osy y

mnohouhelnik = m(e1:e2, d1:d2); % "vyriznuti" pozadovane casti mnohouhelniku

%% Zobrazeni
% imshow(mnohouhelnik);
end

